## golang-github-fatih-semgroup 1.2.0

=== debian/changelog ===
golang-github-fatih-semgroup (1.2.0-2) unstable; urgency=medium

  * Source-only upload for migration to testing

 -- Anthony Fok <foka@debian.org>  Tue, 14 Mar 2023 15:36:12 -0600

golang-github-fatih-semgroup (1.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #1032574)

 -- Anthony Fok <foka@debian.org>  Thu, 09 Mar 2023 03:59:43 -0700
