=== debian/control ===
Source: golang-github-fatih-semgroup
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Anthony Fok <foka@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any (>= 2:1.17~),
               golang-golang-x-sync-dev
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-fatih-semgroup
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-fatih-semgroup.git
Homepage: https://github.com/fatih/semgroup
XS-Go-Import-Path: github.com/fatih/semgroup

Package: golang-github-fatih-semgroup-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-golang-x-sync-dev,
         ${misc:Depends}
Description: like errgroup/waitgroup, but only runs a maximum of tasks at any time
 semgroup provides synchronization and error propagation, for groups of
 goroutines working on subtasks of a common task.  It uses a weighted
 semaphore implementation to make sure that only a number of maximum
 tasks can be run at any time.
 .
 Unlike golang.org/x/sync/errgroup, it doesn't return the first non-nil
 error, rather it accumulates all errors and returns a set of errors,
 allowing each task to fullfil their task.
